Package net.shibboleth.idp.attribute.resolver.dc.ldap

# Class ParameterizedExecutableSearchFilterBuilder

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.idp.attribute.resolver.dc.ldap.AbstractExecutableSearchFilterBuilder
net.shibboleth.idp.attribute.resolver.dc.ldap.ParameterizedExecutableSearchFilterBuilder

All Implemented Interfaces:
  `ExecutableSearchBuilder<ExecutableSearchFilter>`, `Component`, `DestructableComponent`, `InitializableComponent`

public class ParameterizedExecutableSearchFilterBuilder extends AbstractExecutableSearchFilterBuilder
An `ExecutableSearchBuilder` that generates the search filter to be executed by evaluating a parameterized filter string against the currently resolved attributes within a `AttributeResolutionContext`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`searchFilter`
LDAP search filter.

## Constructor Summary

Constructors
Constructor
Description
`ParameterizedExecutableSearchFilterBuilder()`

## Method Summary

Modifier and Type
Method
Description
`ExecutableSearchFilter`
`build(AttributeResolutionContext resolutionContext, Map<String,List<IdPAttributeValue>> dependencyAttributes)`
Creates an executable search that can be executed against a data source in order to produce results.
`protected void`
`doInitialize()`
`void`
`setSearchFilter(String filter)`
Set the filter used for the LDAP search.

### Methods inherited from class net.shibboleth.idp.attribute.resolver.dc.ldap.AbstractExecutableSearchFilterBuilder

`build`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### searchFilter

@NonnullAfterInit private String searchFilter
LDAP search filter.

## Constructor Details

### ParameterizedExecutableSearchFilterBuilder

public ParameterizedExecutableSearchFilterBuilder()

## Method Details

### setSearchFilter

public void setSearchFilter(@Nonnull String filter)
Set the filter used for the LDAP search.

Parameters:
  `filter` - used for the LDAP search

### doInitialize

protected void doInitialize() throws ComponentInitializationException

Overrides:
  `doInitialize` in class `AbstractInitializableComponent`
Throws:
  `ComponentInitializationException`

### build

@Nonnull public ExecutableSearchFilter build(@Nonnull AttributeResolutionContext resolutionContext, @Nonnull Map<String,List<IdPAttributeValue>> dependencyAttributes) throws ResolutionException
Creates an executable search that can be executed against a data source in order to produce results.

Parameters:
  `resolutionContext` - current request context
  `dependencyAttributes` - made available to the executable search
Returns:
  executable search
Throws:
  `ResolutionException` - throw if their is a problem creating the executable search